Package com.google.protobuf

# Interface Internal.BooleanList

All Superinterfaces:
  `Collection<Boolean>`, `Internal.ProtobufList<Boolean>`, `Iterable<Boolean>`, `List<Boolean>`, `RandomAccess`

Enclosing class:
  Internal

public static interface Internal.BooleanList extends Internal.ProtobufList<Boolean>
A `List` implementation that avoids boxing the elements into Booleans if possible. Does not support null elements.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBoolean(boolean element)`
Like `List.add(Object)` but more efficient in that it doesn't box the element.
`boolean`
`getBoolean(int index)`
Like `List.get(int)` but more efficient in that it doesn't box the returned value.
`Internal.BooleanList`
`mutableCopyWithCapacity(int capacity)`
Returns a mutable clone of this list with the specified capacity.
`boolean`
`setBoolean(int index, boolean element)`
Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface com.google.protobuf.Internal.ProtobufList

`isModifiable, makeImmutable`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

## Method Details

### getBoolean

boolean getBoolean(int index)
Like `List.get(int)` but more efficient in that it doesn't box the returned value.

### addBoolean

void addBoolean(boolean element)
Like `List.add(Object)` but more efficient in that it doesn't box the element.

### setBoolean

@CanIgnoreReturnValue boolean setBoolean(int index, boolean element)
Like `List.set(int, Object)` but more efficient in that it doesn't box the element.

### mutableCopyWithCapacity

Internal.BooleanList mutableCopyWithCapacity(int capacity)
Returns a mutable clone of this list with the specified capacity.

Specified by:
  `mutableCopyWithCapacity` in interface `Internal.ProtobufList<Boolean>`